From 8661da3608488d40eb4245f2f57ccd2320c22db9 Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horiguchi.kyotaro@lab.ntt.co.jp>
Date: Fri, 14 Jun 2019 15:21:17 +0900
Subject: [PATCH 2/3] Fix description for $varname of jsonpath variable.

The description is ended part way and PASSING is not impletented
yet. But the variable is impletemented in several jsonpath
functions. So complete the description based on the current
implementation, leaving the TBD.
---
 doc/src/sgml/func.sgml |  2 +-
 doc/src/sgml/json.sgml | 12 ++++++++----
 2 files changed, 9 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 487f752aa4..0070ef4913 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -13170,7 +13170,7 @@ table2-mapping
    </para>
    <para>
     When <literal>vars</literal> argument is specified, it constitutes an object
-    contained variables to be substituted into <literal>jsonpath</literal>
+    contained named variables to be substituted into <literal>jsonpath</literal>
     expression.
    </para>
    <para>
diff --git a/doc/src/sgml/json.sgml b/doc/src/sgml/json.sgml
index b8246badda..47cb16cdb4 100644
--- a/doc/src/sgml/json.sgml
+++ b/doc/src/sgml/json.sgml
@@ -733,10 +733,14 @@ SELECT jdoc-&gt;'guid', jdoc-&gt;'name' FROM api WHERE jdoc @&gt; '{"tags": ["qu
      </row>
      <row>
       <entry><literal>$varname</literal></entry>
-      <entry>A named variable. Its value must be set in the
-      <command>PASSING</command> clause of an SQL/JSON query function.
- <!-- TBD: See <xref linkend="sqljson-input-clause"/> -->
-      for details.
+      <entry>A named variable. Its value can be set by the
+        parameter <parameter>vars</parameter> of several JSON processing
+        functions. See <xref linkend="functions-json-processing-table"/> and
+        its notes
+        <!-- TBD: Its value must be set by the <command>PASSING</command>
+             clause of an SQL/JSON query function. See
+             <xref linkend="sqljson-input-clause"/> -->
+        for details.
       </entry>
      </row>
      <row>
-- 
2.16.3

